/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.ide.java.ui.deliver;

import com.ibm.team.process.common.advice.IAdvisorInfo;
import com.ibm.team.process.ide.ui.advice.AdviceElementDetailProvider;
import com.ibm.team.process.ide.ui.advice.DefaultDetailProviderFactory;

/**
 * Detail provider factory for advice elements specific to the Deliver operation.
 */
public class DeliverDetailProviderFactory extends DefaultDetailProviderFactory {

	/*
	 * @see com.ibm.team.process.ide.ui.advice.DefaultDetailProviderFactory#getDetailProvider(java.lang.Object)
	 */
	public AdviceElementDetailProvider getDetailProvider(Object element) {
		
		if (element instanceof IAdvisorInfo) {
			IAdvisorInfo info = (IAdvisorInfo) element;
			String infoType = info.getIdentifier();
			if (infoType.equals(ProhibitUnusedImportsAdvisor.ID_PROHIBIT_UNUSED_IMPORT_PROBLEM)) {
				return new ProhibitUnusedImportsDetailProvider(info);
			} else if (infoType.equals(ProhibitCompilationErrorsAdvisor.ID_PROHIBIT_COMPILATION_ERRORS_PROBLEM)) {
				return new ProhibitCompilationErrorsDetailProvider(info);
			} else if (infoType.equals(ProhibitNonexternalizedStringsAdvisor.ID_PROHIBIT_NONEXTERNALIZED_STRINGS_PROBLEM)) {
				return new ProhibitNonexternalizedStringsDetailProvider(info);
			}
		}
		return super.getDetailProvider(element);
	}

}
