/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.ide.java.ui.deliver.editors;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.filesystem.ide.ui.process.GenericComponentScopeAspectEditor;
import com.ibm.team.process.ide.ui.IProcessAspectEditorFactory;
import com.ibm.team.process.ide.ui.ProcessAspectEditor;

/**
 * Factory which creates the aspect editor corresponding to a given aspect.
 */
public class ProcessDefinitionsAspectEditorFactory implements IProcessAspectEditorFactory {
	
	public ProcessAspectEditor createProcessAspectEditor(String processAspectId) {
		if (processAspectId.equals("com.ibm.team.process.deliver.prohibitUnusedImports")) { //$NON-NLS-1$
			return new GenericComponentScopeAspectEditor();
		}
		if (processAspectId.equals("com.ibm.team.process.deliver.prohibitCompilationErrors")) { //$NON-NLS-1$
			return new GenericComponentScopeAspectEditor();
		}
		if (processAspectId.equals("com.ibm.team.process.deliver.prohibitNonexternalizedStrings")) { //$NON-NLS-1$
			return new GenericComponentScopeAspectEditor();
		}
		if (processAspectId.equals("com.ibm.team.process.deliver.requireTestRun")) { //$NON-NLS-1$
			return new RequireTestRunAspectEditor();
		}
		throw new IllegalArgumentException(NLS.bind(Messages.ProcessDefinitionsAspectEditorFactory_0, processAspectId));
	}

}
