/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.rcp.ui.workitems;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.osgi.util.NLS;
import org.eclipse.ui.plugin.AbstractUIPlugin;

import com.ibm.team.filesystem.ui.UiPlugin;
import com.ibm.team.jface.JazzResources;
import com.ibm.team.repository.rcp.core.utils.StatusUtil;

public class ImagePool {

	public static final ImageDescriptor DELIVER_AND_FIX_WIZBAN = getImage("icons/wizban/deliver_and_fix_wizban.gif"); //$NON-NLS-1$

	public static final ImageDescriptor SUBMIT_FOR_REVIEW_WIZBAN = getImage("icons/wizban/submit_for_review_wizban.gif"); //$NON-NLS-1$

	public static final ImageDescriptor DELETE_IMAGE_DESCRIPTOR = getImage("icons/copied/elcl16/rem_co.gif"); //$NON-NLS-1$

	public static final ImageDescriptor INFO_ICON = getImage("/icons/obj16/info.gif"); //$NON-NLS-1$

	public static final ImageDescriptor DATE = getImage("/icons/obj16/date_obj.gif"); //$NON-NLS-1$

	private ImagePool() {
	}

	private static ImageDescriptor getImage(String pathname) {
		ImageDescriptor descr = AbstractUIPlugin.imageDescriptorFromPlugin(ScmWorkItemUi.PLUGIN_ID, pathname);
		// Registering images here is to support embedding them in SWT browser widgets
		// such as the event log editor. The browser needs full paths to images. However,
		// it would be nice to only register those we need.
		JazzResources.registerPath(descr, UiPlugin.PLUGIN_ID, pathname);
		if (descr == null) {
			descr = ImageDescriptor.getMissingImageDescriptor();
			StatusUtil.log(ImagePool.class, NLS.bind("Missing image descriptor {0} - replaced with error icon", pathname), new Exception()); //$NON-NLS-1$
		}
		return descr;
	}
}
