/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2013. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.rcp.ui.workitems.actions;

import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;

import com.ibm.team.filesystem.ui.wrapper.ChangeSetLinkWrapper;

/**
 * Remove selected work item (in change explorer view)
 */
public class RemoveWorkItemChangeExplorerAction extends RemoveWorkItemAction {

	@Override
	protected boolean extractSelection(ISelection selection) {
		List list = ((IStructuredSelection) selection).toList();
		Set filtered = filter(list);
		
		boolean enable = false;
		
		if (filtered.size() != 0) {
			enable = true;
			
			for (Iterator<IAdaptable> i = filtered.iterator(); i.hasNext();) {
				IAdaptable item = i.next();
				Object wrapper = item.getAdapter(IAdaptable.class);
				if (wrapper instanceof ChangeSetLinkWrapper)
					addLink(((ChangeSetLinkWrapper) wrapper).getLink(), ((ChangeSetLinkWrapper) wrapper).getRepository());
			}
		}
		
		return enable;
	}

	private Set<IAdaptable> filter(List list) {
		Set<IAdaptable> filtered = new HashSet<IAdaptable>();
		
		for (Object item : list) {
			if (item instanceof IAdaptable)
				filtered.add((IAdaptable) item);
		}
		
		return filtered;
	}
	
}
