/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2014. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.rcp.ui.workitems.actions;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchPage;

import com.ibm.team.foundation.common.util.Adapters;
import com.ibm.team.repository.rcp.ui.utils.AbstractActionDelegate;
import com.ibm.team.workitem.common.model.IWorkItem;
import com.ibm.team.workitem.rcp.ui.WorkItemUI;

/**
 * Opens each selected work item in a Work Item editor.
 */
public class WorkItemOpenAction extends AbstractActionDelegate {
	public void run(Shell shell, IWorkbenchPage page, IStructuredSelection selection) {
		for (Object obj : selection.toList()) {
			if (obj != null && Adapters.hasAdapter(obj, IWorkItem.class)) {
				IWorkItem workItem = Adapters.getAdapter(obj, IWorkItem.class);
				if (workItem != null) {
					WorkItemUI.openEditor(page, workItem);
				}
			}
		}
	}
}