/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.rcp.ui.workitems.deliveradvisor;

import java.util.List;

import org.eclipse.swt.widgets.Shell;

import com.ibm.team.filesystem.common.workitems.internal.process.RequireWorkItemAdvisor;
import com.ibm.team.filesystem.common.workitems.internal.process.RequireWorkItemProblemObject;
import com.ibm.team.filesystem.ide.ui.process.DeliverOperationProblemResolution;
import com.ibm.team.filesystem.internal.rcp.ui.workitems.workflows.DeliverAndFixAction;
import com.ibm.team.process.common.advice.IAdvisorInfo;
import com.ibm.team.scm.client.IWorkspaceConnection;
import com.ibm.team.scm.common.IChangeSet;
import com.ibm.team.scm.common.process.DeliverOperationData;

/**
 * 
 */
public class AssociateAndDeliverResolutionDelegate extends DeliverOperationProblemResolution {

    /*
     * @see com.ibm.team.filesystem.ui.changes.actions.quick.DeliverOperationProblemResolution#execute(org.eclipse.swt.widgets.Shell, com.ibm.team.scm.common.process.DeliverOperationData, java.util.List, com.ibm.team.scm.client.IWorkspaceConnection)
     */
    protected boolean execute(Shell shell, DeliverOperationData data, List resolvedChangeSets, IWorkspaceConnection connection) {
        DeliverAndFixAction action = new DeliverAndFixAction(shell, (IChangeSet[]) resolvedChangeSets.toArray(new IChangeSet[0]), connection);
        action.setResolveWorkItems(false);
        action.run();
        return true;
    }
    
    /*
     * @see com.ibm.team.process.client.IAdvisorProblemResolutionDelegate#mayBeApplicable(com.ibm.team.process.common.advice.IAdvisorInfo)
     */
    public boolean mayBeApplicable(IAdvisorInfo info) {
		Object object = info.getProblemObject();
		if (object instanceof RequireWorkItemProblemObject) {
			// This resolution is not applicable if the problem is a missing comment
			RequireWorkItemProblemObject problemObject = (RequireWorkItemProblemObject) object;
			return problemObject.getWorkItems().isEmpty() && !problemObject.getRequires().equals(RequireWorkItemAdvisor.VAL_COMMENT);
		}
		return false;
    }
    
}
