/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2012. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.internal.rcp.ui.workitems.deliveradvisor;

import com.ibm.team.filesystem.ide.ui.process.providers.TeamAdvisorViewDetailTransformer;
import com.ibm.team.process.common.advice.IAdvisorInfo;
import com.ibm.team.process.ide.ui.advice.AdviceElementDetailProvider;
import com.ibm.team.process.ide.ui.advice.DefaultDetailProviderFactory;

/**
 * Detail provider factory for advice elements specific to the Deliver operation.
 */
public class WorkItemDeliverDetailProviderFactory extends DefaultDetailProviderFactory {

	/*
	 * @see com.ibm.team.process.ide.ui.advice.DefaultDetailProviderFactory#getDetailProvider(java.lang.Object)
	 */
	public AdviceElementDetailProvider getDetailProvider(Object element) {
		if (element instanceof IAdvisorInfo) {
	         return TeamAdvisorViewDetailTransformer.newInstanceFor((IAdvisorInfo) element);
		}
		
		return super.getDetailProvider(element);
	}

}
