/*******************************************************************************
 * Licensed Materials - Property of IBM
 * © Copyright IBM Corporation 2005, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.metronome.internal;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.menus.AbstractWorkbenchTrimWidget;

import com.ibm.team.filesystem.ui.UiPlugin;
import com.ibm.team.metronome.MetronomePlugin;

public class MetronomeWidget extends AbstractWorkbenchTrimWidget {

	private MetronomeControl metronome;

	public void fill(Composite parent, int oldSide, int newSide) {
		final Display display = parent.getShell().getDisplay();
		metronome = new MetronomeControl(parent);
		MetronomePlugin.getDefault().setControl(metronome);
		VisibilityController.updateVisibility();

		// Hack to not show on startup - Eclipse doesn't support this well.
		Job job = new Job("") { //$NON-NLS-1$
			public IStatus run(IProgressMonitor monitor) {
				if(display != null && ! display.isDisposed()) {
					display.asyncExec(new Runnable() {
						public void run() {
							MetronomePlugin.getDefault().setMetronomeVisible(
									UiPlugin.getBooleanPreference(UiPlugin.SHOW_METRONOME_TRIM));
						}
					});
				}
				return Status.OK_STATUS;
			}
		};
		job.setSystem(true);
		job.schedule(50);
	}

	public void dispose() {
		if (metronome != null) {
			metronome.dispose();
			metronome = null;
			MetronomePlugin.getDefault().setControl(null);
		}
	}
}
