/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.scm.client.importz.spi.ChangeSetArchiveCreator;

/**
 * SCM specific object responsible for creating a change set archive file.
 * <p>
 * This interface is not intended to be implemented by clients. Clients
 * should instead subclass {@link ChangeSetArchiveCreator}
 * 
 * @since 0.6.1
 */
public interface IChangeSetArchiveCreator {
	
	/**
	 * Create a change set archive using the given import data to determine
	 * where to get the data to import. The archive should be written to the
	 * archive file of the import data.
	 * @param importData
	 * @param monitor
	 * @throws TeamRepositoryException
	 */
    public void createChangeSetArchive(IImportData importData,
            IProgressMonitor monitor) throws TeamRepositoryException;

}
