/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.filesystem.client.FileSystemException;
import com.ibm.team.repository.common.TeamRepositoryException;

/**
 * Interface that supports importing a change set archive into Jazz SCM.
 * <p>
 * This interface is not intended to be implemented by clients. An instance 
 * of this interface can be obtained by calling {@link IMigrationFactory#createArchiveImporter(IImportData, com.ibm.team.scm.client.IWorkspaceConnection, com.ibm.team.scm.common.IComponent)}.
 * 
 * @since 0.6.1
 *  
 * @see IMigrationFactory#createArchiveImporter(IImportData, com.ibm.team.scm.client.IWorkspaceConnection, com.ibm.team.scm.common.IComponent)
 */
public interface IChangeSetArchiveImporter {
	
	/**
	 * Perform the import
	 * @param monitor a progress monitor
	 * @throws TeamRepositoryException
	 * @throws FileSystemException
	 */
	public void performImport(IProgressMonitor monitor) throws TeamRepositoryException, FileSystemException;

}
