/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal;

import java.util.Set;

import com.ibm.team.filesystem.ide.ui.internal.logical.IChangeSetFilter;
import com.ibm.team.scm.common.IChangeSet;

public class ChangeSetFilter implements IChangeSetFilter {
    private Set changeSetsToKeep;
    
    public ChangeSetFilter(Set changeSetsToKeep) {
        this.changeSetsToKeep = changeSetsToKeep;
    }

    public boolean excludeChangeSet(IChangeSet changeSet) {
        return !changeSetsToKeep.contains(changeSet.getItemId().getUuidValue());
    }

    public boolean allDiscarded() {
        return false;
    }
}
