/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.SubMonitor;
import org.eclipse.osgi.util.NLS;

import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.scm.client.importz.IChangeSetArchiveCreator;
import com.ibm.team.scm.client.importz.IImportData;
import com.ibm.team.scm.client.importz.IMigrationFactory;

public class CreateArchiveOperation extends AbstractImportOperation {

    public CreateArchiveOperation(IMigrationFactory factory,
			IImportData importData) {
		super(factory, importData);
	}

	@Override
	public void run(IProgressMonitor monitor) throws TeamRepositoryException {
        SubMonitor progress = SubMonitor.convert(monitor, NLS.bind(SCMImportMessages.CreateArchiveOperation_0, getFactory().getName()), 100);
        try { 
            IChangeSetArchiveCreator scmImproter = getFactory().createChangeSetArchiveCreator();
			scmImproter.createChangeSetArchive(getImportData(), progress.newChild(100));
        } finally {
            monitor.done();
        }
    }
}
