/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal;

import com.ibm.team.scm.client.importz.IImportChangeSet;


public interface IChangeArchiveStatistics {

	public static final String CHANGE_SET_COMMIT_TIME = "Change set Commit Time"; //$NON-NLS-1$
	public static final String CHANGE_SET_COUNT = "Change Set Count"; //$NON-NLS-1$
	public static final String CHANGE_COUNT = "Change Count"; //$NON-NLS-1$
	public static final String COLLECT_CHANGES_TIME = "Collect Changes"; //$NON-NLS-1$
	public static final String TOTAL_COMMIT_CHANGES_TIME = "Commit Changes"; //$NON-NLS-1$
	public static final String STATISTICS_CONTEXT_TYPE = "com.ibm.team.scm.client.importz.importType"; //$NON-NLS-1$
	public static final String CONTRIBUTOR_COUNT = "Contributors"; //$NON-NLS-1$
	public static final String CHANGE_SET_READ_TIME = "Change Set Read Time"; //$NON-NLS-1$
	public static final String BASELINE_COUNT = "Baseline Count"; //$NON-NLS-1$
	public static final String BASELINE_TIME = "Baseline Time"; //$NON-NLS-1$
	public static final String CREATE_CHANGE_SET = "Create Change Set"; //$NON-NLS-1$
	public static final String COMMIT_CHANGE_SET = "Commit Change Set"; //$NON-NLS-1$
	public static final String CLOSE_CHANGE_SET = "Close Change Set"; //$NON-NLS-1$

	public abstract String toDescriptionString();

	public abstract void startCommit(IImportChangeSet importChangeSet,
			long time, boolean preflight);

	public abstract void changesCollected(long time);

	public abstract void changesCommited(long time);

	public abstract void endCommit(IImportChangeSet importChangeSet);

	public abstract void close();

	public abstract void startPhase(String statisticsName);

	public abstract void endPhase(String statisticsName);

	public abstract int getChangeSetCount();

}