/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2012. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.team.repository.common.TeamRepositoryException;
import com.ibm.team.scm.client.importz.IImportData;

public interface IImporter {
    
    /**
     * Method called when importing data from scratch or when sync information
     * is not available.
     * @param scmSpecificData import data containing SCM specific information
     * @param monitor a progress monitor
     * @throws TeamRepositoryException
     */
    public void createChangeSetArchive(IImportData scmSpecificData,
            IProgressMonitor monitor) throws TeamRepositoryException;
}
