/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal.ui;

import org.eclipse.jface.wizard.IWizardPage;

import com.ibm.team.scm.client.importz.internal.SCMImportMessages;


public abstract class AbstractImportFromOtherWizard extends AbstractImportWizard {

 	private ConfigureImportInputPage configureImportInputPage;
    
    public AbstractImportFromOtherWizard() {
        setNeedsProgressMonitor(true);
        setWindowTitle(SCMImportMessages.AbstractImportFromOtherWizard_2);
	}
    
	@Override
	protected void addPagesAtBeginning() {
		configureImportInputPage = createConfigureImportInputPage();
		addPage(configureImportInputPage);
	}

	protected ConfigureImportInputPage createConfigureImportInputPage() {
		ConfigureImportInputPage page = new ConfigureImportInputPage(
				"CustomizeImportInputPage", SCMImportMessages.AbstractImportFromOtherWizard_0, //$NON-NLS-1$
				getBanner(), getConfiguration());
        page.setDescription(SCMImportMessages.AbstractImportFromOtherWizard_1);
		return page;
	}
	
    public boolean canFinish() {
        if (!configureImportInputPage.isPageComplete())
            return false;
        if (!getConfiguration().isImportIntoWorkspace())
            return true;
        return super.canFinish();
    }
    
    @Override
    public IWizardPage getNextPage(IWizardPage page, boolean aboutToShow) {
    	IWizardPage nextPage = super.getNextPage(page, false);
    	if (nextPage == configureImportInputPage && isImportIntoWorkspace()) {
    		return getNextPage(configureImportInputPage, aboutToShow);
    	}
    	if (aboutToShow)
    		return super.getNextPage(page, true);
		return nextPage;
    }

    /*
     * TODO: Why is this here?
     */
	protected boolean isImportIntoWorkspace() {
		return false;
	}
}
