/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal.ui;

import org.eclipse.jface.layout.GridLayoutFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;

import com.ibm.team.repository.rcp.ui.utils.LayoutConstants2;

public abstract class AbstractOptionsArea {

	private boolean enabled = true;

	protected Group createGroup(Composite composite, String name, int columns) {
		return createGroup(composite, name, columns, false);
	}
		
	protected Group createGroup(Composite composite, String name, int columns, boolean grabExcessVerticalSpace) {
		Group group = new Group(composite, SWT.NONE);
		group.setText(name);
		GridData gridData = new GridData(GridData.FILL, GridData.FILL, true, grabExcessVerticalSpace);
		group.setLayoutData(gridData);
        GridLayoutFactory.fillDefaults()
        	.numColumns(columns)
        	.equalWidth(false)
        	.extendedMargins(LayoutConstants2.getGroupMargins())
        	.generateLayout(group);
		return group;
	}
	
	protected void enableGroup(Group group, boolean enabled) {
		Control[] children = group.getChildren();
		for (int i = 0; i < children.length; i++) {
			children[i].setEnabled(enabled);
		}
	}

	public void initControls() {
		// Nothing to do
	}

	public boolean isEnabled() {
		return enabled;
	}
	
	public final void setEnabled(boolean enabled) {
		if (this.enabled != enabled) {
			this.enabled = enabled;
			updateEnablements();
		}
	}

	protected abstract void updateEnablements();
	
}
