/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal.ui;

import org.eclipse.jface.wizard.Wizard;

import com.ibm.team.scm.client.importz.IImportData;
import com.ibm.team.scm.client.importz.spi.ImportData;

public class AuthorMappingWizard extends Wizard {

	private final ImportConfiguration configuration;
	private final IImportData importData;
	private Author2ContributorMappingPage authorMappingPage;
	private final boolean isAdmin;

	public AuthorMappingWizard(ImportConfiguration configuration,
			IImportData importData, boolean isAdmin) {
		this.configuration = configuration;
		this.importData = importData;
		this.isAdmin = isAdmin;
		setNeedsProgressMonitor(true);
	}

	@Override
	public void addPages() {
		authorMappingPage = createAuthorMappingPage();
		addPage(authorMappingPage);
	}
	
	private Author2ContributorMappingPage createAuthorMappingPage() {
		Author2ContributorMappingPage page = new Author2ContributorMappingPage("Author2ContributorPage", null, configuration, true, isAdmin); //$NON-NLS-1$
		return page;
	}
	
	@Override
	public boolean performFinish() {
		ImportOperation.recordAuthorMappings(authorMappingPage.getAuthorMappings(), (ImportData)importData);
		return true;
	}

}
