/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.widgets.Composite;

/**
 * Wizard page to configure options for importing a change set archive into the
 * repository.
 * 
 * @since 0.5
 */
public class ConfigureArchiveFileImportPage extends AbstractImportWizardPage {
	
	private final ImportConfiguration configuration;
	boolean okToShowError;

    public ConfigureArchiveFileImportPage(String pageName, String title, ImageDescriptor titleImage,
                ImportConfiguration configuration) {
        super(pageName, title, titleImage);
		this.configuration = configuration;
    }

	@Override
	protected void createPageAreas(Composite composite) {
		ArchiveFileOptions archiveFileGroup = new ArchiveFileOptions(composite, configuration);
        addArea(archiveFileGroup);
        StatisticsArea statisticsGroup = createStatisticsGroup(composite, configuration);
        if (statisticsGroup != null) {
        	addArea(statisticsGroup);
        }
    }

    protected StatisticsArea createStatisticsGroup(Composite composite, ImportConfiguration configuration) {
		return null;
	}

	@Override
	protected ImportConfiguration getConfiguration() {
		return configuration;
	}
	
	@Override
	protected String getHelpContextId() {
		return IHelpContextIds.HELP_CONTEXT_ARCHIVE_FILE_PAGE;
	}
}
