/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.internal.ui;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.ide.dialogs.AbstractEncodingFieldEditor;

import com.ibm.team.scm.client.importz.internal.SCMImportMessages;

/**
 * Field editor for specifying the default encoding to be used for
 * imported text files.
 */
public class ImportEncodingFieldEditor extends AbstractEncodingFieldEditor {

	private final ImportConfiguration configuration;

	public ImportEncodingFieldEditor(Composite parent, ImportConfiguration configuration) {
		super("encodingField", SCMImportMessages.ImportEncodingFieldEditor_1, SCMImportMessages.ImportEncodingFieldEditor_2, parent); //$NON-NLS-1$
		this.configuration = configuration;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.ide.dialogs.AbstractEncodingFieldEditor#getStoredValue()
	 */
	@Override
	protected String getStoredValue() {
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.preference.FieldEditor#doStore()
	 */
	@Override
	protected void doStore() {
		configuration.setDefaultEncoding(getSelectedEncoding());
	}
	
	@Override
	protected String findDefaultEncoding() {
		return ImportConfiguration.DEFAULT_ENCODING;
	}
	
	@Override
	public void store() {
		doStore();
	}
	
	@Override
	public void load() {
		setPresentsDefaultValue(false);
		doLoad();
	}
	
	@Override
	public void loadDefault() {
		doLoadDefault();
		setPresentsDefaultValue(true);
	}

}
