/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.svn.internal;

import org.eclipse.core.runtime.Platform;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {

	public static boolean DEBUG_REVISIONS = false;
	public static boolean DEBUG_COPIES = false;
	public static boolean DEBUG_BRANCHES = false;
	
	// The plug-in ID
	public static final String PLUGIN_ID = "com.ibm.team.scm.client.importz.svn"; //$NON-NLS-1$

	// The shared instance
	private static Activator plugin;
	
	static {
		if ("true".equalsIgnoreCase(Platform.getDebugOption(PLUGIN_ID + "/debug"))) { //$NON-NLS-1$ //$NON-NLS-2$
			DEBUG_REVISIONS = "true".equalsIgnoreCase(Platform.getDebugOption(PLUGIN_ID + "/revisions")); //$NON-NLS-1$ //$NON-NLS-2$
			DEBUG_COPIES = "true".equalsIgnoreCase(Platform.getDebugOption(PLUGIN_ID + "/copies")); //$NON-NLS-1$ //$NON-NLS-2$
			DEBUG_BRANCHES = "true".equalsIgnoreCase(Platform.getDebugOption(PLUGIN_ID + "/branches")); //$NON-NLS-1$ //$NON-NLS-2$
		}
	}
	
	/**
	 * The constructor
	 */
	public Activator() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

}
