/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.scm.client.importz.svn.internal;

import java.util.Collection;
import java.util.List;

import com.ibm.team.scm.client.importz.svn.internal.SVNBranchOrTag.CopyRecord;

public class BranchManager extends SVNRevisionMemoryTree {
	
	public BranchManager(Collection<SVNProjectRepository> projectRepositories) {
		super(projectRepositories);
		for (SVNProjectRepository projectRepository : projectRepositories) {
			List<SVNBranchOrTag> bots = projectRepository.getBranchesAndTags();
			for (SVNBranchOrTag bot : bots) {
				List<CopyRecord> copies = bot.getCopies();
				for (CopyRecord copyRecord : copies) {
					long revision = copyRecord.getTargetRevision();
					addBranchOrTag(bot, revision);
				}
			}
		}
	}

	public void updateForRevision(long revision, SVNRevisionTree tree) {
		Collection<SVNBranchOrTag> bots = getBranchesAndTagsAtRevision(revision);
		if (bots != null) {
			for (SVNBranchOrTag bot : bots) {
				bot.updateForRevision(revision, tree);
			}
		}
		super.updateForRevision(revision, tree);
	}

}
